Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1053845 - Review Request: python-django-crispy-forms - Best way to have Django DRY forms [NEEDINFO]
Summary: Review Request: python-django-crispy-forms - Best way to have Django DRY forms
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-01-15 20:06 UTC by Brian Pepple
Modified: 2021-07-11 06:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-11 06:34:26 UTC
Type: ---
oturpe: needinfo? (bdpepple)


Attachments (Terms of Use)

Description Brian Pepple 2014-01-15 20:06:21 UTC
Spec URL: http://bpepple.fedorapeople.org/rpms/python-django-crispy-forms.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/python-django-crispy-forms-1.4.0-1.fc20.src.rpm
Description: The best way to have Django DRY forms. Build programmatic reusable layouts outof components, having full control of the rendered HTML without writing HTML in templates. All this without breaking the standard way of doing things in Django, so it plays nice with any other form application.

Fedora Account System Username: bpepple

Scratch Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=6411422

Comment 1 Gianluca Sforna 2014-01-16 08:02:42 UTC
I know it is more work but I think crispy forms works also with pyhton3 (at least, it is listed in the pypi page).
Since we are going to ship python 3 by default soonish, can you add support for it in the package? Details in http://fedoraproject.org/wiki/Packaging:Python#Subpackages

Comment 2 Brian Pepple 2014-01-16 15:19:05 UTC
No problem, I'm primarily creating this to use for epel6, but I was planning on adding python3 support anyway to the spec down the road.

Spec URL: http://bpepple.fedorapeople.org/rpms/python-django-crispy-forms.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/python-django-crispy-forms-1.4.0-2.fc20.src.rpm

* Thu Jan 16 2014 Brian Pepple <bpepple@fedoraproject.org> - 1.4.0-2
- Add python3 support.

Scratch Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=6415413

Comment 3 Eduardo Mayorga 2015-07-31 22:55:32 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE.txt is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- You must not use %{py3dir}. You can build in the same directory without needing to copy the source to two different directories.
  See: https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
- A python2- subpackage that uses %python_provide macro is needed.
  See: https://fedoraproject.org/wiki/Packaging:Python#Provides
- python3- subpackage misses Requires: python3-django
- Consider using new macros available for F22 and newer: %py2_build, %py3_build, %py2_install and %py3_install.
- The timestamps of the source tarball are not preserved.


===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
     Note: %license must be used instead of %doc.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[!]: Package complies to the Packaging Guidelines
     Note: Python Packaging Guidelines have been updated.
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
     -django-crispy-forms
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-django-crispy-forms-1.4.0-2.fc24.noarch.rpm
          python3-django-crispy-forms-1.4.0-2.fc24.noarch.rpm
          python-django-crispy-forms-1.4.0-2.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
python-django-crispy-forms.noarch: W: invalid-url URL: http://pypi.python.org/pypi/django-crispy-forms/1.4.0 <urlopen error [Errno -5] No address associated with hostname>
python3-django-crispy-forms.noarch: W: invalid-url URL: http://pypi.python.org/pypi/django-crispy-forms/1.4.0 <urlopen error [Errno -5] No address associated with hostname>
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python-django-crispy-forms (rpmlib, GLIBC filtered):
    python(abi)
    python-django

python3-django-crispy-forms (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-django-crispy-forms:
    python-django-crispy-forms

python3-django-crispy-forms:
    python3-django-crispy-forms



Source checksums
----------------
http://pypi.python.org/packages/source/d/django-crispy-forms/django-crispy-forms-1.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : d0c9531ebdff8dc255f625e677ec2fab326522e3f4cd8f7a3e891d773d281510
  CHECKSUM(SHA256) upstream package : d0c9531ebdff8dc255f625e677ec2fab326522e3f4cd8f7a3e891d773d281510

Comment 4 Eduardo Mayorga 2015-07-31 23:04:00 UTC
I have just noticed fedora-review didn't catch you run rm -rf $RPM_BUILD_ROOT at the beginning of %install, and automatically marked it as 'Pass'. Please fix blocking issue.

Sorry for double posting.

Comment 5 Upstream Release Monitoring 2016-02-24 16:46:50 UTC
tieugene's scratch build of django-autocomplete-light.spec for cli-build/1456332402.93717.hTQzCZRs/django-autocomplete-light.spec and f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13115178

Comment 6 Fabian Affolter 2020-05-19 09:32:44 UTC
Is this review stale?

Comment 7 Package Review 2021-05-20 00:45:14 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time, but it seems
that the review is still being working out by you. If this is right, please
respond to this comment clearing the NEEDINFO flag and try to reach out the
submitter to proceed with the review.

If you're not interested in reviewing this ticket anymore, please clear the
fedora-review flag and reset the assignee, so that a new reviewer can take
this ticket.

Without any reply, this request will shortly be resetted.

Comment 8 Package Review 2021-06-19 00:45:23 UTC
This is an automatic action taken by review-stats script.

The ticket reviewer failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we reset the status and the assignee of this ticket.

Comment 9 Otto Urpelainen 2021-07-11 06:20:58 UTC
This review request is very old. Do you still intend to complete it? If so, I can review. If not, please close the issue and mark it as FE-DEADREVIEW, or do nothing, in which case automation will close it in one month.

Things to fix: Issues reported in earlier comments, update to newest version, reworking python2/3 setup, considering that Fedora is python3 only now.

Comment 10 Otto Urpelainen 2021-07-11 06:34:26 UTC
Closing this request now, as reporter's Bugzilla account has been disabled.

Comment 11 Otto Urpelainen 2021-07-11 06:40:57 UTC
(In reply to Otto Urpelainen from comment #10)
> Closing this request now, as reporter's Bugzilla account has been disabled.

Oops, this comment went to wrong bug. Re-opening, waiting for reported to comment.


Note You need to log in before you can comment on or make changes to this bug.